Bug 5536 - Временами получаю ошибку "FATAL: Received Segment Violation...dying"
: Временами получаю ошибку "FATAL: Received Segment Violation...dying"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/squid)
: unstable
: all Linux
: P2 major
Assigned To:
:
: http://www.squid-cache.org/bugs/show_...
:
:
:
  Show dependency tree
 
Reported: 2004-11-19 11:35 by
Modified: 2010-04-17 22:22 (History)


Attachments
Кусок лога вокруг этой ошибки из cache.log (39.79 KB, text/plain)
2004-11-19 11:37, Sergei Epiphanov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-19 11:35:22
При заходе на сайт (чаще всего mail.yandex.ru) squid иногда перестаёт
откликаться на внешние подключения. Конфигурация: на сервере стоит privoxy и
squid. Выход в инет:

пользователь->privoxy->squid->вышестоящий прокси
privoxy подключается к squid через внешний адрес.

После появления ошибки 503 от privoxy даже прямое подключение к squid не
работает.
Перезапуск privoxy ничего не меняет. Решается только перезапуском squid.
Steps to Reproduce:
В случайном порядке, вылетает в 90% случаев при работе с почтой яндекса.
Actual Results:  
Иногда пересаёт принимать новые подключения.

Expected Results:  
нормальная работа
------- Comment #1 From 2004-11-19 11:37:06 -------
Created an attachment (id=654) [details]
Кусок лога вокруг этой ошибки из cache.log

Кусок лога вокруг этой ошибки
------- Comment #2 From 2004-12-21 11:12:44 -------
Часто жалуются на NTLM. Используется?
------- Comment #3 From 2004-12-22 10:22:21 -------
------- Additional Comments From hno@squid-cache.org  2004-12-21 18:12 -------
Please get a stack trace as per the instructions in the Squid FAQ on how to file
a bug report.

Можете постить прямо в их bugzilla, адрес в URL.
------- Comment #4 From 2005-02-04 11:24:15 -------
------- Additional Comment #2 From Henrik Nordstrom  2005-02-03 15:02 -------

If no feedback is provided in 2 weeks time this report will be closed.
------- Comment #6 From 2005-02-04 12:50:55 -------
Похоже на эту ошибку. Сейчас пересобираю со всеми патчами для squid-2.5stable7,
приведёнными на этой странице. До сих пор это проявлялось не один раз.
------- Comment #7 From 2005-02-07 16:53:23 -------
Этот патч вошёл в squid-2.5.STABLE7-alt8, но до Sisyphus пока не доползло.
Давайте знать, когда будут результаты тестирования.
------- Comment #8 From 2005-02-07 19:12:41 -------
REOPEN успеем сделать, если что.
------- Comment #9 From 2005-03-01 14:34:56 -------
Ошибка признана исправленной последними патчами и закрывается.
------- Comment #10 From 2010-04-06 13:32:26 -------
Ошибка проябляется на 5.1/branch
FATAL: Received Segment Violation...dying.
2010/04/06 10:59:06| storeDirWriteCleanLogs: Starting...
2010/04/06 10:59:06| WARNING: Closing open FD   89
2010/04/06 10:59:06|   Finished.  Wrote 31301 entries.
2010/04/06 10:59:06|   Took 0.02 seconds (2084232.25 entries/sec).
CPU Usage: 19.741 seconds = 10.093 user + 9.649 sys
Maximum Resident Size: 0 KB
Page faults with physical i/o: 1
Memory usage for squid via mallinfo():
        total space in arena:   25308 KB
        Ordinary blocks:        23975 KB     80 blks
        Small blocks:               0 KB      6 blks
        Holding blocks:         21136 KB     69 blks
        Free Small blocks:          0 KB
        Free Ordinary blocks:    1332 KB
        Total in use:           45111 KB 178%
        Total free:              1333 KB 5%
2010/04/06 10:59:10| Starting Squid Cache version 3.0.STABLE19 for
x86_64-alt-linux-gnu...
2010/04/06 10:59:10| Process ID 22174
2010/04/06 10:59:10| With 16384 file descriptors available
2010/04/06 10:59:10| DNS Socket created at 0.0.0.0, port 42152, FD 7
------- Comment #11 From 2010-04-17 22:22:54 -------
Я не понимаю, какой резон повторно открывать проблему, которая закрылась 5 лет
назад. Тогда это был squid 2.5, сейчас 3.0. Фактически уже другая программа
(вдобавок с другим мантейнером). Закрываю этот bug назад, проблему сегодняшнего
дня пожалуйста решайте без связи с давно минувшим.